Subject: Re: bug#45688: 28.0.50; New action for display-buffer?

From: Juri Linkov <[email-masked]>
Date: Mon, 04 Oct 2021 20:31:00 +0300

>>>> Indeed, better would be to add an option to not resize it by describe-function.
>>>> Maybe by adding a new option 'after-display-buffer-function' and set it
>>>> by default to 'shrink-window-if-larger-than-buffer' in *Help* buffers?
>>>
>>> You can already use a 'window-height' alist entry and set it to
>>> 'shrink-window-if-larger-than-buffer'.  What would an
>>> 'after-display-buffer-function' option do differently?
>>
>> It seems the patch that you recently sent to emacs-devel fixes this problem?
>
> You mean this problem
>
>   The problem is that currently shrink-window-if-larger-than-buffer
>   is used in many commands by default, but this behavior is hard-coded
>   and can't be disabled by customization.  These commands include
>   help commands,  vc-log, vc-diff, ...
>
> supposedly caused by 'temp-buffer-resize-mode'?

Your recent patch in emacs-devel allows customization of help commands,
but not vc-log, vc-diff.  A separate request could be created for
customization of shrink-window-if-larger-than-buffer in vc-log, vc-diff.
(I mistakenly assumed that help-mode uses shrink-window-if-larger-than-buffer,
but actually help-mode resizes with 'temp-buffer-resize-mode').

> Would we then be able to close this bug or is there anything else left?

I don't know, Lars opened this request.  And I reported this problem
only after you mentioned 'temp-buffer-resize-mode'.